package gunav2.keymon.com.mx;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class mapa_rutas extends Activity implements B4AActivity{
	public static mapa_rutas mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;
    public static boolean dontPause;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new BA(this.getApplicationContext(), null, null, "gunav2.keymon.com.mx", "gunav2.keymon.com.mx.mapa_rutas");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (mapa_rutas).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(this, processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "gunav2.keymon.com.mx", "gunav2.keymon.com.mx.mapa_rutas");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "gunav2.keymon.com.mx.mapa_rutas", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (mapa_rutas) Create " + (isFirst ? "(first time)" : "") + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (mapa_rutas) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return mapa_rutas.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        if (!dontPause)
            BA.LogInfo("** Activity (mapa_rutas) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        else
            BA.LogInfo("** Activity (mapa_rutas) Pause event (activity is not paused). **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        if (!dontPause) {
            processBA.setActivityPaused(true);
            mostCurrent = null;
        }

        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            mapa_rutas mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (mapa_rutas) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.gps.GPS _gps = null;
public static anywheresoftware.b4a.objects.RuntimePermissions _rp = null;
public static String _ruta = "";
public static anywheresoftware.b4a.sql.SQL _skmt = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c2 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c22 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c3 = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper _gmap = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper _mapfragment1 = null;
public static double _latitud = 0;
public static double _longitud = 0;
public static double _lat2 = 0;
public static double _lon2 = 0;
public anywheresoftware.b4a.gps.LocationWrapper _p1 = null;
public anywheresoftware.b4a.gps.LocationWrapper _p2 = null;
public static float _distance = 0f;
public anywheresoftware.b4a.objects.ButtonWrapper _boton1 = null;
public static float _hue_blue = 0f;
public static float _hue_red = 0f;
public static float _hue_green = 0f;
public anywheresoftware.b4a.objects.ButtonWrapper _b_azul = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_rojo = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_verde = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_todos = null;
public static String _tienda = "";
public static double _latitudru = 0;
public static double _longitudru = 0;
public anywheresoftware.b4a.objects.collections.List _list_azul = null;
public anywheresoftware.b4a.objects.collections.List _list_rojo = null;
public anywheresoftware.b4a.objects.collections.List _list_verde = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_azul = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_rojo = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_verde = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_cedis = null;
public static String _rojo = "";
public static String _azul = "";
public static String _verde = "";
public static String _todos = "";
public static int _numserie = 0;
public uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener _oninfowindowclicklistener1 = null;
public uk.co.martinpearman.b4a.googlemapsextras.GoogleMapsExtras _googlemapextra = null;
public static String _codigo = "";
public static String _semana = "";
public b4a.example.dateutils _dateutils = null;
public gunav2.keymon.com.mx.main _main = null;
public gunav2.keymon.com.mx.starter _starter = null;
public gunav2.keymon.com.mx.subs _subs = null;
public gunav2.keymon.com.mx.appupdater _appupdater = null;
public gunav2.keymon.com.mx.firebasemessaging _firebasemessaging = null;
public gunav2.keymon.com.mx.tracker _tracker = null;
public gunav2.keymon.com.mx.newinst2 _newinst2 = null;
public gunav2.keymon.com.mx.b4xpages _b4xpages = null;
public gunav2.keymon.com.mx.b4xcollections _b4xcollections = null;
public gunav2.keymon.com.mx.httputils2service _httputils2service = null;
public gunav2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 56;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 57;BA.debugLine="Activity.LoadLayout(\"MAPA_RUTAS\")";
mostCurrent._activity.LoadLayout("MAPA_RUTAS",mostCurrent.activityBA);
 //BA.debugLineNum = 61;BA.debugLine="ruta = File.DirInternal";
_ruta = anywheresoftware.b4a.keywords.Common.File.getDirInternal();
 //BA.debugLineNum = 63;BA.debugLine="If File.Exists(ruta, \"kmt.db\") = False Then";
if (anywheresoftware.b4a.keywords.Common.File.Exists(_ruta,"kmt.db")==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 64;BA.debugLine="File.Copy(File.DirAssets, \"kmt.db\", ruta, \"kmt.d";
anywheresoftware.b4a.keywords.Common.File.Copy(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"kmt.db",_ruta,"kmt.db");
 };
 //BA.debugLineNum = 66;BA.debugLine="skmt.Initialize(ruta,\"kmt.db\", True)";
_skmt.Initialize(_ruta,"kmt.db",anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 68;BA.debugLine="If(FirstTime) Then";
if ((_firsttime)) { 
 //BA.debugLineNum = 69;BA.debugLine="GPS.Initialize(\"GPS\")";
_gps.Initialize("GPS");
 };
 //BA.debugLineNum = 72;BA.debugLine="If MapFragment1.IsGooglePlayServicesAvailable = F";
if (mostCurrent._mapfragment1.IsGooglePlayServicesAvailable(mostCurrent.activityBA)==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 73;BA.debugLine="ToastMessageShow(\"Please install Google Play Ser";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Please install Google Play Services."),anywheresoftware.b4a.keywords.Common.True);
 };
 //BA.debugLineNum = 84;BA.debugLine="MARK_AZUL.IsInitialized";
mostCurrent._mark_azul.IsInitialized();
 //BA.debugLineNum = 85;BA.debugLine="MARK_ROJO.IsInitialized";
mostCurrent._mark_rojo.IsInitialized();
 //BA.debugLineNum = 86;BA.debugLine="MARK_VERDE.IsInitialized";
mostCurrent._mark_verde.IsInitialized();
 //BA.debugLineNum = 88;BA.debugLine="LIST_AZUL.Initialize";
mostCurrent._list_azul.Initialize();
 //BA.debugLineNum = 89;BA.debugLine="LIST_ROJO.Initialize";
mostCurrent._list_rojo.Initialize();
 //BA.debugLineNum = 90;BA.debugLine="LIST_VERDE.Initialize";
mostCurrent._list_verde.Initialize();
 //BA.debugLineNum = 92;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 93;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 94;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 95;BA.debugLine="todos = 1";
mostCurrent._todos = BA.NumberToString(1);
 //BA.debugLineNum = 96;BA.debugLine="c=skmt.ExecQuery2(\"select count(*) AS CUANTOS fro";
_c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(_skmt.ExecQuery2("select count(*) AS CUANTOS from CAT_VARIABLES WHERE CAT_VA_DESCRIPCION = ?",new String[]{"SEMANA"})));
 //BA.debugLineNum = 97;BA.debugLine="c.Position =0";
_c.setPosition((int) (0));
 //BA.debugLineNum = 98;BA.debugLine="SEMANA = c.GetString(\"CUANTOS\")";
mostCurrent._semana = _c.GetString("CUANTOS");
 //BA.debugLineNum = 99;BA.debugLine="c.Close";
_c.Close();
 //BA.debugLineNum = 101;BA.debugLine="If SEMANA > 0 Then";
if ((double)(Double.parseDouble(mostCurrent._semana))>0) { 
 //BA.debugLineNum = 102;BA.debugLine="c=skmt.ExecQuery2(\"select CAT_VA_VALOR from CAT_";
_c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(_skmt.ExecQuery2("select CAT_VA_VALOR from CAT_VARIABLES WHERE CAT_VA_DESCRIPCION = ?",new String[]{"SEMANA"})));
 //BA.debugLineNum = 103;BA.debugLine="c.Position =0";
_c.setPosition((int) (0));
 //BA.debugLineNum = 104;BA.debugLine="SEMANA = c.GetString(\"CAT_VA_VALOR\")";
mostCurrent._semana = _c.GetString("CAT_VA_VALOR");
 //BA.debugLineNum = 105;BA.debugLine="c.Close";
_c.Close();
 };
 //BA.debugLineNum = 109;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 401;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 402;BA.debugLine="GPS.Stop";
_gps.Stop();
 //BA.debugLineNum = 403;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 391;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 393;BA.debugLine="If GPS.GPSEnabled = False Then";
if (_gps.getGPSEnabled()==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 394;BA.debugLine="ToastMessageShow(\"Debe Activar el GPS del Equipo";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Debe Activar el GPS del Equipo."),anywheresoftware.b4a.keywords.Common.True);
 //BA.debugLineNum = 395;BA.debugLine="StartActivity(GPS.LocationSettingsIntent)";
anywheresoftware.b4a.keywords.Common.StartActivity(processBA,(Object)(_gps.getLocationSettingsIntent()));
 }else {
 //BA.debugLineNum = 397;BA.debugLine="GPS.Start(0, 0)";
_gps.Start(processBA,(long) (0),(float) (0));
 };
 //BA.debugLineNum = 399;BA.debugLine="End Sub";
return "";
}
public static String  _b_azul_click() throws Exception{
 //BA.debugLineNum = 437;BA.debugLine="Sub B_AZUL_Click";
 //BA.debugLineNum = 438;BA.debugLine="azul = 1";
mostCurrent._azul = BA.NumberToString(1);
 //BA.debugLineNum = 439;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 440;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 441;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
 //BA.debugLineNum = 442;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
 //BA.debugLineNum = 444;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 446;BA.debugLine="End Sub";
return "";
}
public static String  _b_rojo_click() throws Exception{
 //BA.debugLineNum = 426;BA.debugLine="Sub B_ROJO_Click";
 //BA.debugLineNum = 427;BA.debugLine="rojo = 1";
mostCurrent._rojo = BA.NumberToString(1);
 //BA.debugLineNum = 428;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 429;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 430;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
 //BA.debugLineNum = 431;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
 //BA.debugLineNum = 433;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 435;BA.debugLine="End Sub";
return "";
}
public static String  _b_todos_click() throws Exception{
 //BA.debugLineNum = 406;BA.debugLine="Sub B_TODOS_Click";
 //BA.debugLineNum = 407;BA.debugLine="todos  =1";
mostCurrent._todos = BA.NumberToString(1);
 //BA.debugLineNum = 408;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 409;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 410;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 412;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 414;BA.debugLine="End Sub";
return "";
}
public static String  _b_verde_click() throws Exception{
 //BA.debugLineNum = 416;BA.debugLine="Sub B_VERDE_Click";
 //BA.debugLineNum = 417;BA.debugLine="verde = 1";
mostCurrent._verde = BA.NumberToString(1);
 //BA.debugLineNum = 418;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 419;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 420;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
 //BA.debugLineNum = 421;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
 //BA.debugLineNum = 422;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 424;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 18;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 19;BA.debugLine="Private gmap As GoogleMap";
mostCurrent._gmap = new anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Private MapFragment1 As MapFragment";
mostCurrent._mapfragment1 = new anywheresoftware.b4a.objects.MapFragmentWrapper();
 //BA.debugLineNum = 21;BA.debugLine="Dim Latitud As Double = 0";
_latitud = 0;
 //BA.debugLineNum = 22;BA.debugLine="Dim Longitud As Double = 0";
_longitud = 0;
 //BA.debugLineNum = 23;BA.debugLine="Dim Lat2 As Double = 0";
_lat2 = 0;
 //BA.debugLineNum = 24;BA.debugLine="Dim Lon2 As Double = 0";
_lon2 = 0;
 //BA.debugLineNum = 25;BA.debugLine="Dim p1, p2 As Location";
mostCurrent._p1 = new anywheresoftware.b4a.gps.LocationWrapper();
mostCurrent._p2 = new anywheresoftware.b4a.gps.LocationWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim Distance As Float";
_distance = 0f;
 //BA.debugLineNum = 27;BA.debugLine="Dim boton1 As Button";
mostCurrent._boton1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 28;BA.debugLine="Dim HUE_BLUE As Float";
_hue_blue = 0f;
 //BA.debugLineNum = 29;BA.debugLine="Dim HUE_RED As Float";
_hue_red = 0f;
 //BA.debugLineNum = 30;BA.debugLine="Dim HUE_GREEN As Float";
_hue_green = 0f;
 //BA.debugLineNum = 31;BA.debugLine="Private B_AZUL As Button";
mostCurrent._b_azul = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Private B_ROJO As Button";
mostCurrent._b_rojo = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Private B_VERDE As Button";
mostCurrent._b_verde = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Private B_TODOS As Button";
mostCurrent._b_todos = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Dim Tienda As String";
mostCurrent._tienda = "";
 //BA.debugLineNum = 36;BA.debugLine="Dim LatitudRu As Double";
_latitudru = 0;
 //BA.debugLineNum = 37;BA.debugLine="Dim LongitudRU As Double";
_longitudru = 0;
 //BA.debugLineNum = 38;BA.debugLine="Dim LIST_AZUL As List";
mostCurrent._list_azul = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 39;BA.debugLine="Dim LIST_ROJO As List";
mostCurrent._list_rojo = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 40;BA.debugLine="Dim LIST_VERDE As List";
mostCurrent._list_verde = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 41;BA.debugLine="Dim MARK_AZUL As Marker";
mostCurrent._mark_azul = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 42;BA.debugLine="Dim MARK_ROJO As Marker";
mostCurrent._mark_rojo = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 43;BA.debugLine="Dim MARK_VERDE As Marker";
mostCurrent._mark_verde = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 44;BA.debugLine="Dim MARK_CEDIS As Marker";
mostCurrent._mark_cedis = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 45;BA.debugLine="Dim rojo As String";
mostCurrent._rojo = "";
 //BA.debugLineNum = 46;BA.debugLine="Dim azul As String";
mostCurrent._azul = "";
 //BA.debugLineNum = 47;BA.debugLine="Dim verde As String";
mostCurrent._verde = "";
 //BA.debugLineNum = 48;BA.debugLine="Dim todos As String";
mostCurrent._todos = "";
 //BA.debugLineNum = 49;BA.debugLine="Dim NumSerie As Int";
_numserie = 0;
 //BA.debugLineNum = 50;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
mostCurrent._oninfowindowclicklistener1 = new uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener();
 //BA.debugLineNum = 51;BA.debugLine="Dim GoogleMapEXTRA As GoogleMapsExtras";
mostCurrent._googlemapextra = new uk.co.martinpearman.b4a.googlemapsextras.GoogleMapsExtras();
 //BA.debugLineNum = 52;BA.debugLine="Dim CODIGO As String";
mostCurrent._codigo = "";
 //BA.debugLineNum = 53;BA.debugLine="Private SEMANA As String";
mostCurrent._semana = "";
 //BA.debugLineNum = 54;BA.debugLine="End Sub";
return "";
}
public static String  _gps_locationchanged(anywheresoftware.b4a.gps.LocationWrapper _parametro) throws Exception{
 //BA.debugLineNum = 370;BA.debugLine="Sub GPS_LocationChanged (Parametro As Location)";
 //BA.debugLineNum = 371;BA.debugLine="MARK_CEDIS.IsInitialized";
mostCurrent._mark_cedis.IsInitialized();
 //BA.debugLineNum = 389;BA.debugLine="End Sub";
return "";
}
public static void  _mapfragment1_ready() throws Exception{
ResumableSub_MapFragment1_Ready rsub = new ResumableSub_MapFragment1_Ready(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_MapFragment1_Ready extends BA.ResumableSub {
public ResumableSub_MapFragment1_Ready(gunav2.keymon.com.mx.mapa_rutas parent) {
this.parent = parent;
}
gunav2.keymon.com.mx.mapa_rutas parent;
String _permission = "";
boolean _result = false;
anywheresoftware.b4j.object.JavaObject _javamapsobject = null;
int _i = 0;
anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper _aa = null;
int step15;
int limit15;
int step35;
int limit35;
int step52;
int limit52;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 226;BA.debugLine="Log(\"ENTRANDO MapFragment1_Ready\")";
anywheresoftware.b4a.keywords.Common.LogImpl("430081139","ENTRANDO MapFragment1_Ready",0);
 //BA.debugLineNum = 227;BA.debugLine="gmap = MapFragment1.GetMap";
parent.mostCurrent._gmap = parent.mostCurrent._mapfragment1.GetMap();
 //BA.debugLineNum = 228;BA.debugLine="gmap.IsInitialized";
parent.mostCurrent._gmap.IsInitialized();
 //BA.debugLineNum = 232;BA.debugLine="rp.CheckAndRequest(rp.PERMISSION_ACCESS_FINE_LOCA";
parent._rp.CheckAndRequest(processBA,parent._rp.PERMISSION_ACCESS_FINE_LOCATION);
 //BA.debugLineNum = 233;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
anywheresoftware.b4a.keywords.Common.WaitFor("activity_permissionresult", processBA, this, null);
this.state = 49;
return;
case 49:
//C
this.state = 1;
_permission = (String) result[0];
_result = (Boolean) result[1];
;
 //BA.debugLineNum = 234;BA.debugLine="gmap.MyLocationEnabled = Result";
parent.mostCurrent._gmap.setMyLocationEnabled(_result);
 //BA.debugLineNum = 236;BA.debugLine="Dim JavaMapsObject As JavaObject";
_javamapsobject = new anywheresoftware.b4j.object.JavaObject();
 //BA.debugLineNum = 237;BA.debugLine="JavaMapsObject = gmap.GetUiSettings";
_javamapsobject = (anywheresoftware.b4j.object.JavaObject) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4j.object.JavaObject(), (java.lang.Object)(parent.mostCurrent._gmap.GetUiSettings().getObject()));
 //BA.debugLineNum = 238;BA.debugLine="JavaMapsObject.RunMethod(\"setMapToolbarEnabled\",";
_javamapsobject.RunMethod("setMapToolbarEnabled",new Object[]{(Object)(anywheresoftware.b4a.keywords.Common.True)});
 //BA.debugLineNum = 240;BA.debugLine="If azul = 1 Or todos = 1 Then";
if (true) break;

case 1:
//if
this.state = 30;
if ((parent.mostCurrent._azul).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 //BA.debugLineNum = 241;BA.debugLine="c.IsInitialized";
parent._c.IsInitialized();
 //BA.debugLineNum = 242;BA.debugLine="c=skmt.ExecQuery(\"select CAT_CL_CODIGO,CAT_CL_NO";
parent._c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO,CAT_CL_NOMBRE,CAT_CL_LAT,CAT_CL_LONG,CAT_CL_ORDENVISITA from kmt_info3 where gestion = 0 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 and CAT_CL_LAT <> ' ' and CAT_CL_LONG <> ' ' ")));
 //BA.debugLineNum = 244;BA.debugLine="Log($\"============== Resultados = ${c.RowCount}\"";
anywheresoftware.b4a.keywords.Common.LogImpl("430081157",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c.getRowCount()))+""),0);
 //BA.debugLineNum = 245;BA.debugLine="If c.RowCount > 0 Then";
if (true) break;

case 4:
//if
this.state = 23;
if (parent._c.getRowCount()>0) { 
this.state = 6;
}if (true) break;

case 6:
//C
this.state = 7;
 //BA.debugLineNum = 246;BA.debugLine="For i = 0 To c.RowCount - 1";
if (true) break;

case 7:
//for
this.state = 22;
step15 = 1;
limit15 = (int) (parent._c.getRowCount()-1);
_i = (int) (0) ;
this.state = 50;
if (true) break;

case 50:
//C
this.state = 22;
if ((step15 > 0 && _i <= limit15) || (step15 < 0 && _i >= limit15)) this.state = 9;
if (true) break;

case 51:
//C
this.state = 50;
_i = ((int)(0 + _i + step15)) ;
if (true) break;

case 9:
//C
this.state = 10;
 //BA.debugLineNum = 247;BA.debugLine="c.Position = i";
parent._c.setPosition(_i);
 //BA.debugLineNum = 250;BA.debugLine="LatitudRu = 0";
parent._latitudru = 0;
 //BA.debugLineNum = 251;BA.debugLine="If c.GetString(\"CAT_CL_LAT\") <> \"\" Then Latitu";
if (true) break;

case 10:
//if
this.state = 15;
if ((parent._c.GetString("CAT_CL_LAT")).equals("") == false) { 
this.state = 12;
;}if (true) break;

case 12:
//C
this.state = 15;
parent._latitudru = (double)(Double.parseDouble(parent._c.GetString("CAT_CL_LAT")));
if (true) break;

case 15:
//C
this.state = 16;
;
 //BA.debugLineNum = 252;BA.debugLine="LongitudRU = 0";
parent._longitudru = 0;
 //BA.debugLineNum = 253;BA.debugLine="If c.GetString(\"CAT_CL_LONG\") <> \"\" Then Longi";
if (true) break;

case 16:
//if
this.state = 21;
if ((parent._c.GetString("CAT_CL_LONG")).equals("") == false) { 
this.state = 18;
;}if (true) break;

case 18:
//C
this.state = 21;
parent._longitudru = (double)(Double.parseDouble(parent._c.GetString("CAT_CL_LONG")));
if (true) break;

case 21:
//C
this.state = 51;
;
 //BA.debugLineNum = 254;BA.debugLine="CODIGO=c.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 255;BA.debugLine="Tienda= c.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 256;BA.debugLine="NumSerie=c.GetInt(\"CAT_CL_ORDENVISITA\")";
parent._numserie = parent._c.GetInt("CAT_CL_ORDENVISITA");
 //BA.debugLineNum = 258;BA.debugLine="MARK_AZUL = gmap.AddMarker3(LatitudRu,Longitud";
parent.mostCurrent._mark_azul = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(parent.mostCurrent._subs._createbitmapwithnumber /*anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper*/ (mostCurrent.activityBA,anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"marker-azul.png"),parent._numserie).getObject()));
 //BA.debugLineNum = 259;BA.debugLine="MARK_AZUL.Snippet = Tienda";
parent.mostCurrent._mark_azul.setSnippet(parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 22:
//C
this.state = 23;
;
 if (true) break;

case 23:
//C
this.state = 24;
;
 //BA.debugLineNum = 262;BA.debugLine="c .Close";
parent._c.Close();
 //BA.debugLineNum = 264;BA.debugLine="If MARK_AZUL.IsInitialized Then LIST_AZUL.Add(MA";
if (true) break;

case 24:
//if
this.state = 29;
if (parent.mostCurrent._mark_azul.IsInitialized()) { 
this.state = 26;
;}if (true) break;

case 26:
//C
this.state = 29;
parent.mostCurrent._list_azul.Add((Object)(parent.mostCurrent._mark_azul.getObject()));
if (true) break;

case 29:
//C
this.state = 30;
;
 if (true) break;
;
 //BA.debugLineNum = 267;BA.debugLine="If verde = 1 Or todos = 1  Then";

case 30:
//if
this.state = 41;
if ((parent.mostCurrent._verde).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 32;
}if (true) break;

case 32:
//C
this.state = 33;
 //BA.debugLineNum = 268;BA.debugLine="c2.IsInitialized";
parent._c2.IsInitialized();
 //BA.debugLineNum = 269;BA.debugLine="c2=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL_";
parent._c2 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT,CAT_CL_ORDENVISITA from kmt_info3 where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0")));
 //BA.debugLineNum = 270;BA.debugLine="Log($\"============== Resultados = ${c2.RowCount}";
anywheresoftware.b4a.keywords.Common.LogImpl("430081183",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c2.getRowCount()))+""),0);
 //BA.debugLineNum = 271;BA.debugLine="For i = 0 To c2.RowCount -1";
if (true) break;

case 33:
//for
this.state = 40;
step35 = 1;
limit35 = (int) (parent._c2.getRowCount()-1);
_i = (int) (0) ;
this.state = 52;
if (true) break;

case 52:
//C
this.state = 40;
if ((step35 > 0 && _i <= limit35) || (step35 < 0 && _i >= limit35)) this.state = 35;
if (true) break;

case 53:
//C
this.state = 52;
_i = ((int)(0 + _i + step35)) ;
if (true) break;

case 35:
//C
this.state = 36;
 //BA.debugLineNum = 272;BA.debugLine="c2.Position = i";
parent._c2.setPosition(_i);
 //BA.debugLineNum = 274;BA.debugLine="If IsNumber(c2.GetString(\"CAT_CL_LONG\")) Then";
if (true) break;

case 36:
//if
this.state = 39;
if (anywheresoftware.b4a.keywords.Common.IsNumber(parent._c2.GetString("CAT_CL_LONG"))) { 
this.state = 38;
}if (true) break;

case 38:
//C
this.state = 39;
 //BA.debugLineNum = 275;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
parent._longitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LONG")));
 //BA.debugLineNum = 276;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
parent._latitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LAT")));
 //BA.debugLineNum = 277;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c2.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 278;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c2.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 279;BA.debugLine="NumSerie=c2.GetInt(\"CAT_CL_ORDENVISITA\")";
parent._numserie = parent._c2.GetInt("CAT_CL_ORDENVISITA");
 //BA.debugLineNum = 281;BA.debugLine="MARK_VERDE = gmap.AddMarker3(LatitudRu,Longitu";
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(parent.mostCurrent._subs._createbitmapwithnumber /*anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper*/ (mostCurrent.activityBA,anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"marker-verde.png"),parent._numserie).getObject()));
 //BA.debugLineNum = 282;BA.debugLine="MARK_VERDE.Snippet = Tienda";
parent.mostCurrent._mark_verde.setSnippet(parent.mostCurrent._tienda);
 if (true) break;

case 39:
//C
this.state = 53;
;
 if (true) break;
if (true) break;

case 40:
//C
this.state = 41;
;
 if (true) break;
;
 //BA.debugLineNum = 306;BA.debugLine="If rojo = 1 Or todos = 1 Then";

case 41:
//if
this.state = 48;
if ((parent.mostCurrent._rojo).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 43;
}if (true) break;

case 43:
//C
this.state = 44;
 //BA.debugLineNum = 307;BA.debugLine="c3.IsInitialized";
parent._c3.IsInitialized();
 //BA.debugLineNum = 308;BA.debugLine="c3=skmt.ExecQuery(\"select CAT_CL_CODIGO, CAT_CL_";
parent._c3 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent._skmt.ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE,CAT_CL_LONG,CAT_CL_LAT,CAT_CL_ORDENVISITA from kmt_info3 where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0")));
 //BA.debugLineNum = 309;BA.debugLine="Log($\"============== Resultados = ${c3.RowCount}";
anywheresoftware.b4a.keywords.Common.LogImpl("430081222",("============== Resultados = "+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent._c3.getRowCount()))+""),0);
 //BA.debugLineNum = 310;BA.debugLine="For i = 0 To c3.RowCount -1";
if (true) break;

case 44:
//for
this.state = 47;
step52 = 1;
limit52 = (int) (parent._c3.getRowCount()-1);
_i = (int) (0) ;
this.state = 54;
if (true) break;

case 54:
//C
this.state = 47;
if ((step52 > 0 && _i <= limit52) || (step52 < 0 && _i >= limit52)) this.state = 46;
if (true) break;

case 55:
//C
this.state = 54;
_i = ((int)(0 + _i + step52)) ;
if (true) break;

case 46:
//C
this.state = 55;
 //BA.debugLineNum = 311;BA.debugLine="c3.Position = i";
parent._c3.setPosition(_i);
 //BA.debugLineNum = 313;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
parent._longitudru = parent._c3.GetDouble("CAT_CL_LONG");
 //BA.debugLineNum = 314;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
parent._latitudru = parent._c3.GetDouble("CAT_CL_LAT");
 //BA.debugLineNum = 315;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c3.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 316;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c3.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 317;BA.debugLine="NumSerie=c3.GetInt(\"CAT_CL_ORDENVISITA\")";
parent._numserie = parent._c3.GetInt("CAT_CL_ORDENVISITA");
 //BA.debugLineNum = 319;BA.debugLine="MARK_ROJO = gmap.AddMarker3(LatitudRu,LongitudR";
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(parent.mostCurrent._subs._createbitmapwithnumber /*anywheresoftware.b4a.objects.drawable.CanvasWrapper.BitmapWrapper*/ (mostCurrent.activityBA,anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"marker-rojo.png"),parent._numserie).getObject()));
 //BA.debugLineNum = 320;BA.debugLine="MARK_ROJO.Snippet = Tienda";
parent.mostCurrent._mark_rojo.setSnippet(parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 47:
//C
this.state = 48;
;
 if (true) break;

case 48:
//C
this.state = -1;
;
 //BA.debugLineNum = 347;BA.debugLine="Dim aa As CameraPosition";
_aa = new anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper();
 //BA.debugLineNum = 348;BA.debugLine="aa.Initialize(LatitudRu,LongitudRU,15)''' RECOMEN";
_aa.Initialize(parent._latitudru,parent._longitudru,(float) (15));
 //BA.debugLineNum = 349;BA.debugLine="gmap.AnimateCamera(aa)";
parent.mostCurrent._gmap.AnimateCamera((com.google.android.gms.maps.model.CameraPosition)(_aa.getObject()));
 //BA.debugLineNum = 352;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
parent.mostCurrent._oninfowindowclicklistener1 = new uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener();
 //BA.debugLineNum = 353;BA.debugLine="OnInfoWindowClickListener1.Initialize(\"OnInfoWind";
parent.mostCurrent._oninfowindowclicklistener1.Initialize(mostCurrent.activityBA,"OnInfoWindowClickListener1");
 //BA.debugLineNum = 354;BA.debugLine="GoogleMapEXTRA.SetOnInfoWindowClickListener(gmap,";
parent.mostCurrent._googlemapextra.SetOnInfoWindowClickListener((com.google.android.gms.maps.GoogleMap)(parent.mostCurrent._gmap.getObject()),(com.google.android.gms.maps.GoogleMap.OnInfoWindowClickListener)(parent.mostCurrent._oninfowindowclicklistener1.getObject()));
 //BA.debugLineNum = 357;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _activity_permissionresult(String _permission,boolean _result) throws Exception{
}
public static String  _oninfowindowclicklistener1_click(anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _marker1) throws Exception{
 //BA.debugLineNum = 362;BA.debugLine="Sub OnInfoWindowClickListener1_click(Marker1 As Ma";
 //BA.debugLineNum = 363;BA.debugLine="skmt.ExecNonQuery(\"delete from CUENTAA\")";
_skmt.ExecNonQuery("delete from CUENTAA");
 //BA.debugLineNum = 364;BA.debugLine="skmt.ExecNonQuery2(\"INSERT INTO CUENTAA VALUES (?";
_skmt.ExecNonQuery2("INSERT INTO CUENTAA VALUES (?) ",anywheresoftware.b4a.keywords.Common.ArrayToList(new Object[]{(Object)(_marker1.getTitle())}));
 //BA.debugLineNum = 365;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 366;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
mostCurrent._b4xpages._showpage /*String*/ (mostCurrent.activityBA,"Cliente");
 //BA.debugLineNum = 367;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 7;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 8;BA.debugLine="Dim GPS As GPS";
_gps = new anywheresoftware.b4a.gps.GPS();
 //BA.debugLineNum = 9;BA.debugLine="Dim rp As RuntimePermissions";
_rp = new anywheresoftware.b4a.objects.RuntimePermissions();
 //BA.debugLineNum = 10;BA.debugLine="Dim ruta As String";
_ruta = "";
 //BA.debugLineNum = 11;BA.debugLine="Dim skmt As SQL";
_skmt = new anywheresoftware.b4a.sql.SQL();
 //BA.debugLineNum = 12;BA.debugLine="Dim c As Cursor";
_c = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 13;BA.debugLine="Dim c2 As Cursor";
_c2 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 14;BA.debugLine="Dim c22 As Cursor";
_c22 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 15;BA.debugLine="Dim c3 As Cursor";
_c3 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 16;BA.debugLine="End Sub";
return "";
}
}
